# History file '98-ss.h' to compute synthetic seismograms in model 98
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Input files required
 #chk.pl: "crt/98/" "98-crt2.dat"
 #chk.pl: "crt/98/" "98-mod.dat"
 #chk.pl: "crt/98/" "98-plot1.dat"
 #chk.pl: "crt/98/" "98-src.dat"
 #chk.pl: "crt/98/" "98-rec.dat"
 #chk.pl: "crt/98/" "98-rpa2.dat"
 #chk.pl: "crt/"    "writ.dat"
 #chk.pl: "crt/"    "source.dat"
 #chk.pl: "forms/"  "hsv.dat"
# Output file of '98-mod.h' used here as an input file:
#                   "98-srf.wrl"

# Model
  MODEL='98-mod.dat'

# Source and receivers
  SRC='98-src.dat'  REC='98-rec.dat'

# Data filenames for CRT (for details see 'crt.for')
  DCRT='98-crt2.dat '
  CODE='98-crt2.dat'
  RPAR='98-rpa2.dat'
  WRIT='writ.dat'
  CRTLOG='98-crt2.out'

# Kind of ray parameters (for details see 'init.for')
  INIPAR=3  (azimuthal equidistant projection)

# Data describing the source time function
  KSIG=1 # (Gabor signal)
  SIGT=0.  SIGF=100.  SIGW=4.  SIGPH=0.  SIGA=1.

# Data describing the filtration of the source time function
  FMIN=4.  FLOW=20.  FHIGH=184.  FMAX=200. # (cosine filter)

# Time step and time interval for the Fast Fourier Transform
  DT=0.001  NFFT=2048

# Data to control optional plotting of program SS
  SIGPLOT='98-sig.ps'  MPTS=100

# Data to control seismogram plotting (program SP)
  KODESP=2    SPCHRH=0.40
  SPTMIN=0.5  SPTMAX=3.0  SPTLEN=25.0  SPTDIV=5    SPTSUB=5
  SPXMIN=0.8  SPXMAX=4.2  SPXLEN=15.3  SPXDIV=-17  SPXSUB=1
  SPYMIN=0.8  SPYMAX=4.2
  NORMSP=1    SPAMP=-2500

# Programs to calculate Green function
  crt:     '98-ss.h' /      # two-point ray tracing
                            # (do not link 'crt.for' with 'scropc.for'!)
  rpplot:  '98-plot1.dat' / # ray parameters plotting
  green:   '98-ss.h' /      # Green function

# Frequency-domain seismograms
  SS='98-ssf.gse'  SP1='98-ssf1.ps'  SP2='98-ssf2.ps'  SP3='98-ssf3.ps'
  greenss: '98-ss.h' /      # response function
  ss:      '98-ss.h' /      # synthetic seismograms
  sp:      '98-ss.h' /      # seismogram plotting

# Time-domain seismograms
  SIGGSE='98-sig.gse' SS=' '
  ss:      '98-ss.h' /      # source time function
  SS='98-sst.gse'  SP1='98-sst1.ps'  SP2='98-sst2.ps'  SP3='98-sst3.ps'
  greenss: '98-ss.h' /      # synthetic seismograms
  sp:      '98-ss.h' /      # seismogram plotting

# Comparison of the seismograms
  SS='98-sst.gse'   KOLOR=2   # time-domain seismograms (red)
  SS1='98-ssf.gse'  KOLOR1=1  # frequency-domain seismograms (black)
  SP1='98-ssb1.ps'  SP2='98-ssb2.ps'  SP3='98-ssb3.ps'
  sp:      '98-ss.h' /      # seismogram plotting

# Exponentially scaled seismograms
  NORMSP=0  SPAMP=-1  SPEXP=5
  SP1='98-sse1.ps'  SP2='98-sse2.ps'  SP3='98-sse3.ps'
  sp:      '98-ss.h' /      # seismogram plotting

# Displaying two-point rays with structural interfaces in VRML
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Output file of '98-mod.h' is used here as an input file
  chk.pl: "" "98-srf.wrl"

# Rewriting the two-point rays into a formatted file
  crtray: '98-rec.dat' '98-src.dat' 'r01.out' 'r01i.out' '98-ray1.out'  4 0 /
  crtray: '98-rec.dat' '98-src.dat' 'r02.out' 'r02i.out' '98-ray2.out'  4 0 /
  crtray: '98-rec.dat' '98-src.dat' 'r03.out' 'r03i.out' '98-ray3.out'  4 0 /
  crtray: '98-rec.dat' '98-src.dat' 'r04.out' 'r04i.out' '98-ray4.out'  4 0 /

# Adding two-point rays into the VRML file with surfaces
  VRML='VRML2'
  WRL='98-srf.wrl'  LIN='98-ray1.out'  WRLOUT='98-ray.wrl'
  KOLLIN=4  COLORS='hsv.dat'  VPER=1.0  VREF=0.0  CREF=0.166667
  linwrl: '98-ss.h' /
  WRL='98-ray.wrl'  LIN='98-ray2.out'
  linwrl: '98-ss.h' /
  LIN='98-ray3.out'
  linwrl: '98-ss.h' /
  LIN='98-ray4.out'
  linwrl: '98-ss.h' /

# Adding source and receivers into the VRML file
  PTS='98-src.dat'
  KOLPTS=0  R=1.00  G=0.00  B=1.00
  ptswrl: '98-ss.h' /
  PTS='98-rec.dat'
  KOLPTS=0  R=0.00  G=0.00  B=1.00  SHIFT3=0.001
  ptswrl: '98-ss.h' /


#=======================================================================
# List of output PostScript figures
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# '98-plot1.ps' Ray parameters of the fourth elementary wave.
# '98-sig.ps'   Sketch of source time function (output of SS).

#  Synthetic seismograms
# '98-ssf1.ps' Frequency-domain, 1st component.
# '98-ssf2.ps' Frequency-domain, 2nd component.
# '98-ssf3.ps' Frequency-domain, 3rd component.
# '98-sst1.ps' Time-domain, 1st component.
# '98-sst2.ps' Time-domain, 2nd component.
# '98-sst3.ps' Time-domain, 3rd component.
# '98-ssb1.ps' Both (comparison), 1st component.
# '98-ssb2.ps' Both (comparison), 2nd component.
# '98-ssb3.ps' Both (comparison), 3rd component.
# '98-sse1.ps' Exponential scale, 1st component.
# '98-sse2.ps' Exponential scale, 2nd component.
# '98-sse3.ps' Exponential scale, 3rd component.

# Output VRML file containing 3-D sculptures of rays and interfaces:
# 98-ray.wrl
