# Model with a LENticular inclusion: boundary-value rays corresponding
# to the plane wave incident at the Bottom of the model
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Input files required:
 #chk.pl: "model/"   "model.dat"
 #chk.pl: "crt/len/" "len-rec.dat"
 #chk.pl: "crt/len/" "lenb-rpa.dat"
 #chk.pl: "crt/"     "crt.dat"
 #chk.pl: "crt/"     "code.dat"
 #chk.pl: "crt/"     "writ.dat"

# Model and receivers
  MODEL='model.dat'
  REC='len-rec.dat'

# Initial conditions for rays (for details see 'init.for')
  INIDIM=2             # initial surface
  INIPAR=0             # ray parameters = Cartesian coordinates
  INIT='lenb-rpa.dat'  # plane wave incident at the bottom of the model
  RPAR='lenb-rpa.dat'  # data for two-point ray tracing in the same file

# Other data filenames for CRT (for details see 'crt.for')
  DCRT='crt.dat'
  CODE='code.dat'      # just refracted P wave
  WRIT='writ.dat'      # only two-point rays stored in files
  CRTLOG='lenb-log.out'

# Ray tracing of the refracted wave ('crt.for' cannot include 'scropc.for')
  crt: 'lenb-crt.h' /

# Supplementing receivers with the third coordinate
  intf: 'model.dat' 'len-rec.dat' 'len-rec.tmp' 2 3 /

# Rewriting the travel times at the receivers into a formatted file
  crtpts: 'len-rec.tmp' 3* 'lenb-rec.out' 4 0 1 0 /

# ======================================================================

# Temporary files (may be deleted):
# '*.tmp'
# 'r0*.out'
# 's0*.out'

# List of output files with travel times:
# 'lenb-rec.out' File with computed travel times in the model
#                with a LENticular inclusion
