C                                                            <HTML><PRE>
C     INCLUDE 'rp2d.inc'
C     ------------------------------------------------------------------
      INTEGER NEWMAX
      PARAMETER (NEWMAX=100)
      INTEGER ITER,NEW,INDOLD,IND(NEWMAX),IREOLD,IRE(NEWMAX)
      INTEGER IRAOLD,IRA(NEWMAX)
      REAL AOLD,A(NEWMAX),DAOLD,DA(NEWMAX)
      REAL XOLD,X(NEWMAX),XAOLD,XA(NEWMAX)
      COMMON/RP2DC/ITER,NEW,INDOLD,IND,IREOLD,IRE,IRAOLD,IRA,
     *             AOLD,A,DAOLD,DA,XOLD,X,XAOLD,XA
      SAVE /RP2DC/
C     ------------------------------------------------------------------
C
C     ITER... Number of iterations when searching for the last
C             boundary-value ray.
C     NEW...  Number of computed rays in the current cut (i.e.
C             corresponding to the last value of B) to the right (i.e.
C             for greater values of A) from the interval under study.
C             The interval under study is A = AOLD to A(NEW).  NEW=1
C             when beginning to study a new basic interval.  NEW=NEW+1
C             if the interval under study is divided by a new ray.
C             AOLD=A(NEW) and then NEW=NEW-1 if we change to the next
C             interval.
C     INDOLD..Index of the left-end ray of the interval under study.
C     IND...  Indices of the rays to the right from the interval under
C             study.
C     IREOLD,IRE... Indices of the receivers for two-point rays,
C             otherwise zeros.
C     IRAOLD,IRA... Indices of the rays.
C     AOLD... Value of a corresponding to the left-end ray of the
C             interval under study.
C     A...    Values of a corresponding to the computed rays situated to
C             the right of the interval under study.
C     DAOLD...Element of a corresponding to the ray A=AOLD.
C     DA...   DA(I) is the element of a corresponding to the ray A=A(I).
C     XOLD... Value of X-function corresponding to the ray A=AOLD.
C             Defined only for successful rays, i.e. ray crossing the
C             surface ISRFR at least IABS(IPOINT) times.
C     X...    X(I) is the value of X-function corresponding to the ray
C             A=A(I).  Defined only for successful rays.
C     XAOLD...Derivative of X-function with respect to a corresponding
C             to the ray A=AOLD.  Defined only for successful rays.
C     XA...   XA(I) is the derivative of X-function with respect to A
C             corresponding to the ray A=A(I).  Defined only for
C             successful rays.
C
C     Common block /RP2DC/ is included in external procedures RP2D,
C     RP2DM, and RP2DG of 'rp2d.for'.
C
C Date: 1997, November 19
C Coded by Ludek Klimes
C
C=======================================================================
C                                                                 </PRE>
